package controller

import (
	"blazing/common/socket/errorcode"
	"blazing/logic/service"
	"blazing/logic/service/login"
	blservice "blazing/modules/blazing/service"
)

// 处理命令: 1001
func (h *Controller) CreatePlayer(data *login.CreatePlayerInboundInfo, c *service.Conn) (result *login.CreatePlayerOutInfo, err errorcode.ErrorCode) {

	blservice.NewUserService(data.Head.UserID).Reg(data.Nickname, data.Color)
	return result, 0
}
